Prueba el nuevo MATE en Gentoo (y derivados)

Mi escritorio.

Como ya sabrán, MATE hace poco lanzó su versión más reciente, la 1.10, en la cual incluye varias novedades, como una nueva librería interna de mezcla de sonido, el soporte de Atril para leer ePubs, y el soporte alternativo para GTK+ 3.0… que hasta el día de hoy es considerado experimental.

Pero tranquilos, que lo que nos compete, es la versión que usa GTK+ 2.0. Si bien muchas distros de Linux ya cuentan con dicha versión de MATE, en Gentoo se están quedando atrás por causas que hasta el día de hoy se desconocen, aunque ya hicieron una petición para que la incluyan en sus repos oficiales.

Por mientras, si uno quiere probar esta versión, puede agregar el overlay de open-overlay. Este tutorial es válido también para los derivados de Gentoo, aunque con algunas modificaciones. Cabe aclarar que, como dije antes, el soporte para GTK+ 3.0 es experimental, los ebuilds sólo tienen soporte para la versión 2.0.

Primero que todo, necesitamos tener instalado Layman con soporte para Git. Acá más info. Luego, agregamos el overlay de open-overlay:

Luego agregamos lo siguiente en /etc/portage/package.keywords/keywords. Si no existe, lo creamos con nuestro editor favorito:

Y agregamos esto:

Este overlay tiene algunos paquetes que ya vienen en los repos oficiales, como Thunderbird, Firefox, Android Studio y algunas alternativas. Si no quieren instalarlos de ahí, pueden enmascararlos si quieren.  Al enmascarar, deben especificar el overlay al que pertenece; por ejemplo, agregando al /etc/portage/package.mask/mask una línea como ésta:
mail-client/thunderbird::open-overlay
Lo siguiente que voy a mencionar, está especificado únicamente para Funtoo. Si no es el caso, siga al paso que viene después del siguente.

En Funtoo, los paquetes pygobject y mesa tienen versiones diferentes de los de Gentoo, por lo que es obligatorio enmascarar las versiones que vienen de open-overlay. Para ello, creamos un archivo dentro del directorio package.mask, por ejemplo:

Y agregar lo siguiente:

Así nos ahorramos conflictos.

Fin de la sección sólo para Funtoo.

Ahora sólo queda hacer lo siguiente:

Y dejar que se actualice. Tranquilos, no son muchos paquetes, ni son pesados. Asumimos acá que teníamos la versión de MATE que se encuentra en los repos de Gentoo; pero si no lo teníamos instalado, acá más información para ello.

Una vez ya instalada la nueva versión de MATE, la 1.10, reiniciamos sesión, y nos encontraremos con la misma. Acá una captura en mi escritorio.

Hasta ahora, la he estado probando ya que la instalé anoche, y no me ha dado problemas. Claro, no viene con el soporte para GTK+ 3.0, pero si aun así quieren probarla, así como poner sugerencias o correcciones, sólo reporten en el issue track en el overlay mismo. UPDATE: Contribuí con los ebuilds para que soporte GTK+ 3.0, pero el USE-flag “gtk3” viene enmascarado por defecto. Si quieren probarlo, desenmascaren primero dicha USE-flag. Acá más info.

Espero que les sea de utilidad. Al menos me quedaré acá hasta que actualicen la de los repos oficiales de Gentoo. ¡Cuenten sus experiencias!

Jorgicio

En volá podría gustarte también...

Agregar un comentario

Su dirección de correo no se hará público. Los campos requeridos están marcados *

A %d blogueros les gusta esto: